Bug 1867175 - Nodes going notReady because of unknown Reason
Summary: Nodes going notReady because of unknown Reason
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.3.z
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1861874
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-07 15:09 UTC by Gabe Montero
Modified: 2020-09-09 16:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: intermittent availability issues with the apiserver could lead to intermittent issues with the openshift controller manager operator retrieving deployments it manages Consequence: a failure to retrieve a deployment at the wrong moment resulted in the openshift controller manager operator making a nil reference that results in a panic in the operator Fix: nil reference checks are now in place to handle this error condition, report it, but also retry again per expected controller operations. Result: openshift controller manager operator properly handles intermittent issues retrieving deployments from the api server.
Clone Of: 1861874
Environment:
Last Closed: 2020-09-09 16:24:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-openshift-controller-manager-operator pull 168 None closed [release-4.3] Bug 1867175: account for nil DaemonSet returned from library-go 2020-11-09 07:03:34 UTC
Red Hat Product Errata RHBA-2020:3457 None None None 2020-09-09 16:24:52 UTC

Comment 12 errata-xmlrpc 2020-09-09 16:24:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.3.35 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3457


Note You need to log in before you can comment on or make changes to this bug.